> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a group of tickets

> Update an existing ticket by its ID. The request body must be a list of properties you want to update, with each entry including the internal name of the property you want to update, and the new value for that property. See the example for details.

export const ScopesList = ({scopes = [], description = "この API には、次のいずれかのスコープが必要です。"}) => {
  if (!scopes || scopes.length === 0) {
    return null;
  }
  const sortedScopes = scopes.sort((a, b) => a.localeCompare(b));
  return <div>
      <div className="text-sm mb-2">{description}</div>
      <div>
        {sortedScopes.map((scope, index) => <div key={index}>
            <code>
              <span className="text-xs">{scope}</span>
            </code>
          </div>)}
      </div>
    </div>;
};

<Accordion title="Scope requirements">
  <ScopesList scopes={['tickets']} />
</Accordion>


## OpenAPI

````yaml specs/legacy/v1/crm-tickets-v1.json POST /crm-objects/v1/objects/tickets/batch-update
openapi: 3.0.0
info:
  title: CRM Tickets API v1
  version: 1.0.0
  description: >-
    Use the tickets API to create and manage CRM records that represent customer
    service requests in your CRM.
  x-hubspot-introduction: >-
    Use the tickets API to create and manage CRM records that represent customer
    service requests in your CRM.
  x-hubspot-api-use-case: >-
    When a customer contacts your support team to request help with an issue,
    create a ticket to track that request and keep a record of it for future
    reference.
servers:
  - url: https://api.hubapi.com
    description: HubSpot API Server
security: []
paths:
  /crm-objects/v1/objects/tickets/batch-update:
    post:
      summary: Update a group of tickets
      description: >-
        Update an existing ticket by its ID. The request body must be a list of
        properties you want to update, with each entry including the internal
        name of the property you want to update, and the new value for that
        property. See the example for details.
      operationId: postcrmobjectsv1objectsticketsbatchupdate
      responses:
        '200':
          description: Successful response - Update an existing ticket by its ID
          content:
            application/json:
              schema:
                type: object
              examples:
                example1:
                  summary: Update a group of tickets - Example 1
                  value:
                    - objectId: 176602
                      properties:
                        - name: status
                          value: CLOSED
                        - name: content
                          value: This is now an updated ticket marked as closed.
                    - objectId: 178218
                      properties:
                        - name: status
                          value: IN_PROGRESS
                        - name: content
                          value: >-
                            This is another updated ticket marked as in
                            progress.
                    - versions:
                        - name: content
                          value: This is now an updated ticket marked as closed.
                          timestamp: 1522872562016
                          source: API
                          sourceVid: []
                      value: This is now an updated ticket marked as closed.
                      timestamp: 1522872562016
                      source: API
                      sourceId: null
                    - versions:
                        - name: status
                          value: CLOSED
                          timestamp: 1522870759430
                          source: API
                          sourceVid: []
                      value: CLOSED
                      timestamp: 1522870759430
                      source: API
                      sourceId: null
                    - versions:
                        - name: hs_lastmodifieddate
                          value: '0'
                          timestamp: 0
                          source: CALCULATED
                          sourceVid: []
                      value: '0'
                      timestamp: 0
                      source: CALCULATED
                      sourceId: null
                    - versions:
                        - name: content
                          value: >-
                            This is another updated ticket marked as in
                            progress.
                          timestamp: 1522876779774
                          source: API
                          sourceVid: []
                      value: This is another updated ticket marked as in progress.
                      timestamp: 1522876779774
                      source: API
                      sourceId: null
                    - versions:
                        - name: status
                          value: IN_PROGRESS
                          timestamp: 1522876779774
                          source: API
                          sourceVid: []
                        - name: status
                          value: OPEN
                          timestamp: 1522870759430
                          source: API
                          sourceVid: []
                      value: IN_PROGRESS
                      timestamp: 1522876779774
                      source: API
                      sourceId: null
      security:
        - oauth2:
            - tickets
        - oauth2_legacy: []
        - private_apps:
            - tickets
        - private_apps_legacy: []
components: {}

````